//
// FILE:     MultiBallWorldFrame.java
// AUTHOR:   Eugene Wallingford 
// DATE:     2012/10/11
// COMMENT:  a frame with a bunch of moving balls and a button
//           that causes the balls to move
//
// MODIFIED: 2012/10/25 -- Eugene Wallingford
// CHANGE  : modified to use a MultiBallWorldPanel
//

import java.awt.Color;
import java.awt.Frame;
import java.awt.Graphics;
import java.awt.GridLayout;
import java.awt.Panel;

public class MultiBallWorldFrame extends Frame
{
  private static final int FrameWidth  =  600;
  private static final int FrameHeight =  400;
  
  private static final Color[] BallColor =            //*****
    { Color.green, Color.blue,   Color.cyan,
      Color.gray,  Color.black,  Color.magenta,
      Color.red,   Color.orange, Color.yellow };

  public MultiBallWorldFrame( Color ballColor )       //*****
  {
    super();
    
    setSize ( FrameWidth*3, FrameHeight*3 );          //*****
    setTitle( "Nine Ball Worlds in a Grid" );         //*****
    
    setLayout( new GridLayout(3, 3) );
    
    for (int i = 0; i < 9; i++)
      add( new MultiBallWorldPanel( BallColor[i] ) );
  }

  public void paint( Graphics g )
  {
    // nothing needed
  }
}
