import java.awt.Color;
import java.awt.Panel;
import java.awt.Graphics;

public class MultiBallWorldPanel extends Panel
{
    private static final int FrameWidth    = 600;
    private static final int FrameHeight   = 400;
    private static final int Iterations    = 200000;
    private static final int NumberOfBalls = 10;
    
    private BoundedBall[] ballArray;
    private int           arraySize;
    private int           counter;

    public MultiBallWorldPanel( Color color )          //*****
    {
        super();

        setSize ( FrameWidth, FrameHeight );

        arraySize = NumberOfBalls;                     //*****
        ballArray = new BoundedBall[ arraySize ];
        for (int i = 0; i < arraySize; i++)
        {
            ballArray[i] = new BoundedBall( 10, 15, 5, 3.0+i, 6.0-i, this );
            ballArray[i].become( color );
        }
        counter = 0;
    }

    public void paint( Graphics g )
    {
        for (int i = 0; i < arraySize; i++)
        {
            ballArray[i].paint( g );
            ballArray[i].move();
        }

        // try { Thread.sleep( 50 ); } catch (InterruptedException e) { System.exit( -1 ); }

        counter = counter + 1;
        if ( counter < Iterations )
            repaint();
        else
            System.exit( 0 );
    }
}
